HtmlTemplateExporter (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.dashboard, class: HtmlTemplateExporter

Package org.apache.jmeter.report.dashboard

# Class HtmlTemplateExporter

java.lang.Object
org.apache.jmeter.report.dashboard.AbstractDataExporter
org.apache.jmeter.report.dashboard.HtmlTemplateExporter

All Implemented Interfaces:
  `DataExporter`

public class HtmlTemplateExporter extends AbstractDataExporter
The class HtmlTemplateExporter provides a data exporter that generates and processes template files using freemarker.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATA_CTX_BEGINDATE`
  `static final String`
  `DATA_CTX_ENDDATE`
  `static final String`
  `DATA_CTX_EXTRA_OPTIONS`
  `static final String`
  `DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES`
  `static final String`
  `DATA_CTX_OVERALL_FILTER`
  `static final String`
  `DATA_CTX_REPORT_TITLE`
  `static final String`
  `DATA_CTX_RESULT`
  `static final String`
  `DATA_CTX_SERIES_FILTER`
  `static final String`
  `DATA_CTX_SHOW_CONTROLLERS_ONLY`
  `static final String`
  `DATA_CTX_TESTFILE`
  `static final String`
  `DATA_CTX_TIMEZONE`
  `static final String`
  `DATA_CTX_TIMEZONE_OFFSET`
  `static final String`
  `TIMESTAMP_FORMAT_MS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlTemplateExporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `export(SampleContext context, File file, ReportGeneratorConfiguration configuration)`
  Export data from the specified context using the given configuration.

  ### Methods inherited from class org.apache.jmeter.report.dashboard.AbstractDataExporter

  `findData, findValue, getName, getPropertyFromConfig, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATA_CTX_REPORT_TITLE

    public static final String DATA_CTX_REPORT_TITLE
    See Also:
      - Constant Field Values

  - ### DATA_CTX_TESTFILE

    public static final String DATA_CTX_TESTFILE
    See Also:
      - Constant Field Values

  - ### DATA_CTX_BEGINDATE

    public static final String DATA_CTX_BEGINDATE
    See Also:
      - Constant Field Values

  - ### DATA_CTX_ENDDATE

    public static final String DATA_CTX_ENDDATE
    See Also:
      - Constant Field Values

  - ### DATA_CTX_TIMEZONE

    public static final String DATA_CTX_TIMEZONE
    See Also:
      - Constant Field Values

  - ### DATA_CTX_TIMEZONE_OFFSET

    public static final String DATA_CTX_TIMEZONE_OFFSET
    See Also:
      - Constant Field Values

  - ### DATA_CTX_OVERALL_FILTER

    public static final String DATA_CTX_OVERALL_FILTER
    See Also:
      - Constant Field Values

  - ### DATA_CTX_SHOW_CONTROLLERS_ONLY

    public static final String DATA_CTX_SHOW_CONTROLLERS_ONLY
    See Also:
      - Constant Field Values

  - ### DATA_CTX_RESULT

    public static final String DATA_CTX_RESULT
    See Also:
      - Constant Field Values

  - ### DATA_CTX_EXTRA_OPTIONS

    public static final String DATA_CTX_EXTRA_OPTIONS
    See Also:
      - Constant Field Values

  - ### DATA_CTX_SERIES_FILTER

    public static final String DATA_CTX_SERIES_FILTER
    See Also:
      - Constant Field Values

  - ### DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES

    public static final String DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES
    See Also:
      - Constant Field Values

  - ### TIMESTAMP_FORMAT_MS

    public static final String TIMESTAMP_FORMAT_MS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HtmlTemplateExporter

    public HtmlTemplateExporter()

- ## Method Details

  - ### export

    public void export(SampleContext context, File file, ReportGeneratorConfiguration configuration) throws ExportException
    Description copied from interface: `DataExporter`
    Export data from the specified context using the given configuration.
    Parameters:
      `context` - the context (must not be `null`)
      `file` - the file which from samples come (must not be `null`)
      `configuration` - the configuration (must not be `null`)
    Throws:
      `ExportException` - the export exception
    See Also:
      - `DataExporter.export(SampleContext, File, ReportGeneratorConfiguration)`